# Proxy API — Execute

> Canonical URL: https://developers.apideck.com/apis/proxy/reference#tag/Execute

This document contains every operation on the `Execute` resource.

---

# GET

> **Proxy API** · `GET /proxy`
> Canonical URL: https://developers.apideck.com/apis/proxy/reference#tag/Execute/operation/getProxy

Proxies a downstream GET request to a service and injects the necessary credentials into a request stored in Vault. This allows you to have an additional security layer and logging without needing to rely on Unify for normalization.
**Note**: Vault will proxy all data to the downstream URL and method/verb in the headers.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | Yes | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-unified-api` | header | `string` | No | Specify which unified API to use for the connection lookup. Required for multi-API connectors (e.g., Workday) to ensure the correct credentials are used. |
| `x-apideck-downstream-url` | header | `string` | Yes | Downstream URL |
| `x-apideck-downstream-authorization` | header | `string` | No | Downstream authorization header. This will skip the Vault token injection. |
| `x-apideck-timeout` | header | `integer` | No | Override the default downstream request timeout in milliseconds. The default is 28000 (28 seconds). |

### Responses

#### 200 — Ok

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Proxy error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# PUT

> **Proxy API** · `PUT /proxy`
> Canonical URL: https://developers.apideck.com/apis/proxy/reference#tag/Execute/operation/putProxy

Proxies a downstream PUT request to a service and injects the necessary credentials into a request stored in Vault. This allows you to have an additional security layer and logging without needing to rely on Unify for normalization.
**Note**: Vault will proxy all data to the downstream URL and method/verb in the headers.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | Yes | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-unified-api` | header | `string` | No | Specify which unified API to use for the connection lookup. Required for multi-API connectors (e.g., Workday) to ensure the correct credentials are used. |
| `x-apideck-downstream-url` | header | `string` | Yes | Downstream URL |
| `x-apideck-downstream-authorization` | header | `string` | No | Downstream authorization header. This will skip the Vault token injection. |
| `x-apideck-timeout` | header | `integer` | No | Override the default downstream request timeout in milliseconds. The default is 28000 (28 seconds). |

### Responses

#### 200 — Ok

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Proxy error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# POST

> **Proxy API** · `POST /proxy`
> Canonical URL: https://developers.apideck.com/apis/proxy/reference#tag/Execute/operation/postProxy

Proxies a downstream POST request to a service and injects the necessary credentials into a request stored in Vault. This allows you to have an additional security layer and logging without needing to rely on Unify for normalization.
**Note**: Vault will proxy all data to the downstream URL and method/verb in the headers.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | Yes | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-unified-api` | header | `string` | No | Specify which unified API to use for the connection lookup. Required for multi-API connectors (e.g., Workday) to ensure the correct credentials are used. |
| `x-apideck-downstream-url` | header | `string` | Yes | Downstream URL |
| `x-apideck-downstream-authorization` | header | `string` | No | Downstream authorization header. This will skip the Vault token injection. |
| `x-apideck-timeout` | header | `integer` | No | Override the default downstream request timeout in milliseconds. The default is 28000 (28 seconds). |

### Responses

#### 200 — Ok

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Proxy error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# DELETE

> **Proxy API** · `DELETE /proxy`
> Canonical URL: https://developers.apideck.com/apis/proxy/reference#tag/Execute/operation/deleteProxy

Proxies a downstream DELETE request to a service and injects the necessary credentials into a request stored in Vault. This allows you to have an additional security layer and logging without needing to rely on Unify for normalization.
**Note**: Vault will proxy all data to the downstream URL and method/verb in the headers.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | Yes | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-unified-api` | header | `string` | No | Specify which unified API to use for the connection lookup. Required for multi-API connectors (e.g., Workday) to ensure the correct credentials are used. |
| `x-apideck-downstream-url` | header | `string` | Yes | Downstream URL |
| `x-apideck-downstream-authorization` | header | `string` | No | Downstream authorization header. This will skip the Vault token injection. |
| `x-apideck-timeout` | header | `integer` | No | Override the default downstream request timeout in milliseconds. The default is 28000 (28 seconds). |

### Responses

#### 200 — Ok

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Proxy error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# PATCH

> **Proxy API** · `PATCH /proxy`
> Canonical URL: https://developers.apideck.com/apis/proxy/reference#tag/Execute/operation/patchProxy

Proxies a downstream PATCH request to a service and injects the necessary credentials into a request stored in Vault. This allows you to have an additional security layer and logging without needing to rely on Unify for normalization.
**Note**: Vault will proxy all data to the downstream URL and method/verb in the headers.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | Yes | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-unified-api` | header | `string` | No | Specify which unified API to use for the connection lookup. Required for multi-API connectors (e.g., Workday) to ensure the correct credentials are used. |
| `x-apideck-downstream-url` | header | `string` | Yes | Downstream URL |
| `x-apideck-downstream-authorization` | header | `string` | No | Downstream authorization header. This will skip the Vault token injection. |
| `x-apideck-timeout` | header | `integer` | No | Override the default downstream request timeout in milliseconds. The default is 28000 (28 seconds). |

### Responses

#### 200 — Ok

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Proxy error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# OPTIONS

> **Proxy API** · `OPTIONS /proxy`
> Canonical URL: https://developers.apideck.com/apis/proxy/reference#tag/Execute/operation/optionsProxy

Proxies a downstream OPTION request to a service and injects the necessary credentials into a request stored in Vault. This allows you to have an additional security layer and logging without needing to rely on Unify for normalization.
**Note**: Vault will proxy all data to the downstream URL and method/verb in the headers.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | Yes | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-unified-api` | header | `string` | No | Specify which unified API to use for the connection lookup. Required for multi-API connectors (e.g., Workday) to ensure the correct credentials are used. |
| `x-apideck-downstream-url` | header | `string` | Yes | Downstream URL |
| `x-apideck-downstream-authorization` | header | `string` | No | Downstream authorization header. This will skip the Vault token injection. |
| `x-apideck-timeout` | header | `integer` | No | Override the default downstream request timeout in milliseconds. The default is 28000 (28 seconds). |

### Responses

#### 200 — Ok

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Proxy error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
